Bug 1544833 - python34: test_buffer fails on ppc64le
Summary: python34: test_buffer fails on ppc64le
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python34
Version: 28
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1540995
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-02-13 15:13 UTC by Petr Viktorin
Modified: 2019-03-12 14:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1561011 (view as bug list)
Environment:
Last Closed: 2019-03-12 13:59:02 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2018-02-13 15:13:35 UTC
When building python34, the following test failure happens on ppc64le:

======================================================================
FAIL: test_memoryview_struct_module (test.test_buffer.TestBufferProtocol)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.4.8/Lib/test/test_buffer.py", line 2521, in test_memoryview_struct_module
    self.assertEqual(m[1], nd[1])
AssertionError: -21.099998474121094 != -21.100000381469727


This tests equivalence of struct.pack_into and assigning into a memoryview, and fails on a Decimal instance.

This doesn't look too serious, so I'll disable the test for now, but it would be nice to look into it.

Comment 1 Miro Hrončok 2018-02-13 15:35:45 UTC
Given the nature of the package and the arch specificity of this test failure, I don't think it's worth looking into.

Comment 2 Fedora End Of Life 2018-02-20 15:34:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Petr Viktorin 2019-01-07 13:41:22 UTC
Setting this to low priority.

It would be great if someone else would get to this earlier than we can. If that's your case, please assign the bug to yourself (and adjust priority accordingly).

Comment 4 Victor Stinner 2019-03-05 13:29:03 UTC
It looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1540995 but for Python 3.4: this bug is caused by a compiler bug which has been fixed in Rawhide:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=88892

Comment 5 Petr Viktorin 2019-03-05 14:42:51 UTC
\o/
So we should need only to unskip the test.

Comment 6 Victor Stinner 2019-03-07 17:35:57 UTC
I created a PR to reenable the test: https://src.fedoraproject.org/rpms/python34/pull-request/27

Comment 7 Victor Stinner 2019-03-12 13:59:02 UTC
GCC has been fixed. The test is now run again on ppc64le:
https://src.fedoraproject.org/rpms/python34/c/400f2b03cd753d85c3a9e6298b4396cad70cf6df?branch=master

Comment 8 Miro Hrončok 2019-03-12 14:09:30 UTC
That commit is only on rawhide, not in current release (Fedora 29).


Note You need to log in before you can comment on or make changes to this bug.